import { createRouter, createWebHashHistory } from "vue-router";

const routes = [
  {
    path: "/",
    name: "Program",
    component: () => import("../views/Program.vue"),
  },
  {
    path: "/Channel",
    name: "Channel",
    component: () => import("../views/Channel.vue"),
  },
  {
    path: "/heightlight",
    name: "Heightlight",
    component: () => import("../views/Heightlight.vue"),
  },
  {
    path: "/realData",
    name: "RealData",
    component: () => import("../views/RealData.vue"),
  },
  {
    path: "/liveChannel",
    name: "LiveChannel",
    component: () => import("../views/LiveChannel.vue"),
  },
  {
    path: "/boutiqueColumn",
    name: "boutiqueColumn",
    component: () => import("../views/BoutiqueColumn/BoutiqueColumn.vue"),
  },
  {
    path: "/activity",
    name: "Activity",
    component: () => import("../views/Activity/Activity.vue"),
  },
  {
    path: "/radio",
    name: "Radio",
    component: () => import("../views/Radio/Radio.vue"),
  },
  {
    path: "/country",
    component: () => import("../views/Country/Index.vue"),
    children: [
        {
            path: "",
            component: ()=> import("../views/ChannelEPG/Channel.vue")
        }
    ],
  },
];

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes,
});

export default router;
